seajs.use([
'mobi/zepto/1.1.3/zepto',
'mobi/mo/1.0.0/mo',
'mobi/pop/1.0.1/pop'],
function($, LegoMobi, pop){

    $(function(){


        //返回顶部按钮
        LegoMobi.initScrollTop();

        //返回键
        $(".m-menu__back").on("click", function(){
            history.back();
        });
        
        //顶部下拉菜单
        $(".m-menu__bbs").on('click', function(event) {
            event.preventDefault();
            $(".m-nav-droplist").toggleClass('slide-down-menu');
        });

        //只看楼主切换
        $(".m-nav-droplist").on('click', '#toggle-topfloor', function(event){
            event.preventDefault();
            $(".m-comment__item").each(function(index, el) {
                if(!$(el).hasClass('m-comment__item--top')){
                    $(el).toggle();
                }
            });
        })

        //评论&引用按钮
        $(".m-comment").on("click", ".control-Reply, .control-qReply", function(e){
            //切换为点评样式
            $(".pop-inner").removeClass("pop-ref");

            togglePopCmt();
        }).on("click", ".control-Ref", function(){
            var _ref = $(this).parents(".m-comment__item").find(".comment-detail").text();

            //切换为引用样式并写入引用内容
            $(".pop-inner").addClass("pop-ref").find(".pop-reply__ref p").text(_ref);

            togglePopCmt();
        });
        
        //切换评论模块
        var togglePopCmt = function(){
            var _ua = navigator.userAgent,
                _sysVer = parseFloat(_ua.slice(_ua.indexOf("Android")+8));
            //触发弹窗
            pop({
                con : $("#pop-reply").html(),
                btns : [],
                onShow : function(pop, _ts){
                    $("#pop-overlay").click(function(event) {
                        _ts.remove();
                    });
                }
            });
            //IOS或者Android4.0以上自动弹出键盘
            if(_ua.match(/(iPhone|iPod|iPad);?/i) || _sysVer > 4){
                $("#pop-dialogs").find("textarea").focus();
            }
        }

    });
});